
LoadModule scgi_module libexec/apache2/mod_scgi.so

Listen 80
Listen 443

# To use CGI scripts:
AddHandler cgi-script .cgi

# To use ASIS files (mod_asis):
AddHandler send-as-is asis

# Rogue robot protection
RewriteMap banned-addrs txt:/www/var/banned_addrs.txt
RewriteCond ${banned-addrs:%{REMOTE_ADDR}} !=""
RewriteRule ^(.*) badrobot.asis [L]
RewriteRule /restricted/spidermine /www/cgi-bin/spidermine.cgi [L]

<VirtualHost 0:80>
#ServerName www.agora.org
DocumentRoot /www/trunk/agora/lib/ui/static
SCGIMount / 127.0.0.1:7003
<LocationMatch "^/images/.*">
    SCGIHandler off
</LocationMatch>
<LocationMatch "^/robots.txt">
    SCGIHandler off
</LocationMatch>
</VirtualHost>

<VirtualHost 0:443>
#ServerName www.agora.org
DocumentRoot /www/trunk/agora/lib/ui/static
SCGIMount / 127.0.0.1:7003
SSLEngine on
SSLOptions +StdEnvVars
SSLCertificateFile /www/ssl/server.crt
SSLCertificateKeyFile /www/ssl/server.key
<LocationMatch "^/images/.*">
    SCGIHandler off
</LocationMatch>
<LocationMatch "^/robots.txt">
    SCGIHandler off
</LocationMatch>
</VirtualHost>



